package com.hfkj.entity;

import java.io.Serializable;
import java.util.Date;

/**
 * bs_merchant
 * @author 
 */
/**
 * 
 * 代码由工具生成
 * 
 **/
public class BsMerchant implements Serializable {
    /**
     * 主键
     */
    private Long id;

    /**
     * 来源类型
     */
    private Integer sourceType;

    /**
     * 省地区代码
     */
    private Long provinceCode;

    /**
     * 省地区名称
     */
    private String provinceName;

    /**
     * 市地区代码
     */
    private Long cityCode;

    /**
     * 市地区名称
     */
    private String cityName;

    /**
     * 区/县地区代码
     */
    private Long areaCode;

    /**
     * 区/县地区名称
     */
    private String areaName;

    /**
     * 油价价区id
     */
    private Integer oilPriceZoneId;

    /**
     * 油价价区名称
     */
    private String oilPriceZoneName;

    /**
     * 连锁品牌id
     */
    private Long chainBrandId;

    /**
     * 连锁品牌名称
     */
    private String chainBrandName;

    /**
     * 连锁品牌结算类型  1：连锁额度   2：商户额度
     */
    private Integer chainBrandSettleType;

    /**
     * 商户编号
     */
    private String merNo;

    /**
     * 商户logo
     */
    private String merLogo;

    /**
     * 商户名称
     */
    private String merName;

    /**
     * 联系人
     */
    private String contactsName;

    /**
     * 联系方式
     */
    private String contactsTel;

    /**
     * 客服电话
     */
    private String customerServiceTel;

    /**
     * 商户地址
     */
    private String address;

    /**
     * 商户地址经度
     */
    private String longitude;

    /**
     * 商户地址纬度
     */
    private String latitude;

    /**
     * 商户标签
     */
    private String merLabel;

    /**
     * 列表中展示 0：否 1：是
     */
    private Boolean listShow;

    /**
     * 状态 0：删除   1：正常   2：禁用
     */
    private Integer status;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;

    private String ext1;

    private String ext2;

    private String ext3;

    private static final long serialVersionUID = 1L;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Integer getSourceType() {
        return sourceType;
    }

    public void setSourceType(Integer sourceType) {
        this.sourceType = sourceType;
    }

    public Long getProvinceCode() {
        return provinceCode;
    }

    public void setProvinceCode(Long provinceCode) {
        this.provinceCode = provinceCode;
    }

    public String getProvinceName() {
        return provinceName;
    }

    public void setProvinceName(String provinceName) {
        this.provinceName = provinceName;
    }

    public Long getCityCode() {
        return cityCode;
    }

    public void setCityCode(Long cityCode) {
        this.cityCode = cityCode;
    }

    public String getCityName() {
        return cityName;
    }

    public void setCityName(String cityName) {
        this.cityName = cityName;
    }

    public Long getAreaCode() {
        return areaCode;
    }

    public void setAreaCode(Long areaCode) {
        this.areaCode = areaCode;
    }

    public String getAreaName() {
        return areaName;
    }

    public void setAreaName(String areaName) {
        this.areaName = areaName;
    }

    public Integer getOilPriceZoneId() {
        return oilPriceZoneId;
    }

    public void setOilPriceZoneId(Integer oilPriceZoneId) {
        this.oilPriceZoneId = oilPriceZoneId;
    }

    public String getOilPriceZoneName() {
        return oilPriceZoneName;
    }

    public void setOilPriceZoneName(String oilPriceZoneName) {
        this.oilPriceZoneName = oilPriceZoneName;
    }

    public Long getChainBrandId() {
        return chainBrandId;
    }

    public void setChainBrandId(Long chainBrandId) {
        this.chainBrandId = chainBrandId;
    }

    public String getChainBrandName() {
        return chainBrandName;
    }

    public void setChainBrandName(String chainBrandName) {
        this.chainBrandName = chainBrandName;
    }

    public Integer getChainBrandSettleType() {
        return chainBrandSettleType;
    }

    public void setChainBrandSettleType(Integer chainBrandSettleType) {
        this.chainBrandSettleType = chainBrandSettleType;
    }

    public String getMerNo() {
        return merNo;
    }

    public void setMerNo(String merNo) {
        this.merNo = merNo;
    }

    public String getMerLogo() {
        return merLogo;
    }

    public void setMerLogo(String merLogo) {
        this.merLogo = merLogo;
    }

    public String getMerName() {
        return merName;
    }

    public void setMerName(String merName) {
        this.merName = merName;
    }

    public String getContactsName() {
        return contactsName;
    }

    public void setContactsName(String contactsName) {
        this.contactsName = contactsName;
    }

    public String getContactsTel() {
        return contactsTel;
    }

    public void setContactsTel(String contactsTel) {
        this.contactsTel = contactsTel;
    }

    public String getCustomerServiceTel() {
        return customerServiceTel;
    }

    public void setCustomerServiceTel(String customerServiceTel) {
        this.customerServiceTel = customerServiceTel;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getLongitude() {
        return longitude;
    }

    public void setLongitude(String longitude) {
        this.longitude = longitude;
    }

    public String getLatitude() {
        return latitude;
    }

    public void setLatitude(String latitude) {
        this.latitude = latitude;
    }

    public String getMerLabel() {
        return merLabel;
    }

    public void setMerLabel(String merLabel) {
        this.merLabel = merLabel;
    }

    public Boolean getListShow() {
        return listShow;
    }

    public void setListShow(Boolean listShow) {
        this.listShow = listShow;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getExt1() {
        return ext1;
    }

    public void setExt1(String ext1) {
        this.ext1 = ext1;
    }

    public String getExt2() {
        return ext2;
    }

    public void setExt2(String ext2) {
        this.ext2 = ext2;
    }

    public String getExt3() {
        return ext3;
    }

    public void setExt3(String ext3) {
        this.ext3 = ext3;
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        BsMerchant other = (BsMerchant) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getSourceType() == null ? other.getSourceType() == null : this.getSourceType().equals(other.getSourceType()))
            && (this.getProvinceCode() == null ? other.getProvinceCode() == null : this.getProvinceCode().equals(other.getProvinceCode()))
            && (this.getProvinceName() == null ? other.getProvinceName() == null : this.getProvinceName().equals(other.getProvinceName()))
            && (this.getCityCode() == null ? other.getCityCode() == null : this.getCityCode().equals(other.getCityCode()))
            && (this.getCityName() == null ? other.getCityName() == null : this.getCityName().equals(other.getCityName()))
            && (this.getAreaCode() == null ? other.getAreaCode() == null : this.getAreaCode().equals(other.getAreaCode()))
            && (this.getAreaName() == null ? other.getAreaName() == null : this.getAreaName().equals(other.getAreaName()))
            && (this.getOilPriceZoneId() == null ? other.getOilPriceZoneId() == null : this.getOilPriceZoneId().equals(other.getOilPriceZoneId()))
            && (this.getOilPriceZoneName() == null ? other.getOilPriceZoneName() == null : this.getOilPriceZoneName().equals(other.getOilPriceZoneName()))
            && (this.getChainBrandId() == null ? other.getChainBrandId() == null : this.getChainBrandId().equals(other.getChainBrandId()))
            && (this.getChainBrandName() == null ? other.getChainBrandName() == null : this.getChainBrandName().equals(other.getChainBrandName()))
            && (this.getChainBrandSettleType() == null ? other.getChainBrandSettleType() == null : this.getChainBrandSettleType().equals(other.getChainBrandSettleType()))
            && (this.getMerNo() == null ? other.getMerNo() == null : this.getMerNo().equals(other.getMerNo()))
            && (this.getMerLogo() == null ? other.getMerLogo() == null : this.getMerLogo().equals(other.getMerLogo()))
            && (this.getMerName() == null ? other.getMerName() == null : this.getMerName().equals(other.getMerName()))
            && (this.getContactsName() == null ? other.getContactsName() == null : this.getContactsName().equals(other.getContactsName()))
            && (this.getContactsTel() == null ? other.getContactsTel() == null : this.getContactsTel().equals(other.getContactsTel()))
            && (this.getCustomerServiceTel() == null ? other.getCustomerServiceTel() == null : this.getCustomerServiceTel().equals(other.getCustomerServiceTel()))
            && (this.getAddress() == null ? other.getAddress() == null : this.getAddress().equals(other.getAddress()))
            && (this.getLongitude() == null ? other.getLongitude() == null : this.getLongitude().equals(other.getLongitude()))
            && (this.getLatitude() == null ? other.getLatitude() == null : this.getLatitude().equals(other.getLatitude()))
            && (this.getMerLabel() == null ? other.getMerLabel() == null : this.getMerLabel().equals(other.getMerLabel()))
            && (this.getListShow() == null ? other.getListShow() == null : this.getListShow().equals(other.getListShow()))
            && (this.getStatus() == null ? other.getStatus() == null : this.getStatus().equals(other.getStatus()))
            && (this.getCreateTime() == null ? other.getCreateTime() == null : this.getCreateTime().equals(other.getCreateTime()))
            && (this.getUpdateTime() == null ? other.getUpdateTime() == null : this.getUpdateTime().equals(other.getUpdateTime()))
            && (this.getExt1() == null ? other.getExt1() == null : this.getExt1().equals(other.getExt1()))
            && (this.getExt2() == null ? other.getExt2() == null : this.getExt2().equals(other.getExt2()))
            && (this.getExt3() == null ? other.getExt3() == null : this.getExt3().equals(other.getExt3()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getSourceType() == null) ? 0 : getSourceType().hashCode());
        result = prime * result + ((getProvinceCode() == null) ? 0 : getProvinceCode().hashCode());
        result = prime * result + ((getProvinceName() == null) ? 0 : getProvinceName().hashCode());
        result = prime * result + ((getCityCode() == null) ? 0 : getCityCode().hashCode());
        result = prime * result + ((getCityName() == null) ? 0 : getCityName().hashCode());
        result = prime * result + ((getAreaCode() == null) ? 0 : getAreaCode().hashCode());
        result = prime * result + ((getAreaName() == null) ? 0 : getAreaName().hashCode());
        result = prime * result + ((getOilPriceZoneId() == null) ? 0 : getOilPriceZoneId().hashCode());
        result = prime * result + ((getOilPriceZoneName() == null) ? 0 : getOilPriceZoneName().hashCode());
        result = prime * result + ((getChainBrandId() == null) ? 0 : getChainBrandId().hashCode());
        result = prime * result + ((getChainBrandName() == null) ? 0 : getChainBrandName().hashCode());
        result = prime * result + ((getChainBrandSettleType() == null) ? 0 : getChainBrandSettleType().hashCode());
        result = prime * result + ((getMerNo() == null) ? 0 : getMerNo().hashCode());
        result = prime * result + ((getMerLogo() == null) ? 0 : getMerLogo().hashCode());
        result = prime * result + ((getMerName() == null) ? 0 : getMerName().hashCode());
        result = prime * result + ((getContactsName() == null) ? 0 : getContactsName().hashCode());
        result = prime * result + ((getContactsTel() == null) ? 0 : getContactsTel().hashCode());
        result = prime * result + ((getCustomerServiceTel() == null) ? 0 : getCustomerServiceTel().hashCode());
        result = prime * result + ((getAddress() == null) ? 0 : getAddress().hashCode());
        result = prime * result + ((getLongitude() == null) ? 0 : getLongitude().hashCode());
        result = prime * result + ((getLatitude() == null) ? 0 : getLatitude().hashCode());
        result = prime * result + ((getMerLabel() == null) ? 0 : getMerLabel().hashCode());
        result = prime * result + ((getListShow() == null) ? 0 : getListShow().hashCode());
        result = prime * result + ((getStatus() == null) ? 0 : getStatus().hashCode());
        result = prime * result + ((getCreateTime() == null) ? 0 : getCreateTime().hashCode());
        result = prime * result + ((getUpdateTime() == null) ? 0 : getUpdateTime().hashCode());
        result = prime * result + ((getExt1() == null) ? 0 : getExt1().hashCode());
        result = prime * result + ((getExt2() == null) ? 0 : getExt2().hashCode());
        result = prime * result + ((getExt3() == null) ? 0 : getExt3().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", sourceType=").append(sourceType);
        sb.append(", provinceCode=").append(provinceCode);
        sb.append(", provinceName=").append(provinceName);
        sb.append(", cityCode=").append(cityCode);
        sb.append(", cityName=").append(cityName);
        sb.append(", areaCode=").append(areaCode);
        sb.append(", areaName=").append(areaName);
        sb.append(", oilPriceZoneId=").append(oilPriceZoneId);
        sb.append(", oilPriceZoneName=").append(oilPriceZoneName);
        sb.append(", chainBrandId=").append(chainBrandId);
        sb.append(", chainBrandName=").append(chainBrandName);
        sb.append(", chainBrandSettleType=").append(chainBrandSettleType);
        sb.append(", merNo=").append(merNo);
        sb.append(", merLogo=").append(merLogo);
        sb.append(", merName=").append(merName);
        sb.append(", contactsName=").append(contactsName);
        sb.append(", contactsTel=").append(contactsTel);
        sb.append(", customerServiceTel=").append(customerServiceTel);
        sb.append(", address=").append(address);
        sb.append(", longitude=").append(longitude);
        sb.append(", latitude=").append(latitude);
        sb.append(", merLabel=").append(merLabel);
        sb.append(", listShow=").append(listShow);
        sb.append(", status=").append(status);
        sb.append(", createTime=").append(createTime);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", ext1=").append(ext1);
        sb.append(", ext2=").append(ext2);
        sb.append(", ext3=").append(ext3);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}